=== debian/changelog ===
policykit-1 (123-1.0nosystemd5) nosystemd; urgency=medium

  * simplier build

 -- anticapitalista <antix@operamail.com>  Wed, 15 Jan 2025 14:41:46 +0200

policykit-1 (123-1.0nosystemd4) unstable; urgency=medium

  * test

 -- anticapitalista <antix@operamail.com>  Sat, 21 Dec 2024 19:55:19 +0200

policykit-1 (123-1.0nosystemd2) nosystemd; urgency=medium

  * added libduktape207 as a dependency

 -- anticapitalista <antix@operamail.com>  Mon, 16 Oct 2023 12:38:38 +0300

policykit-1 (123-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 
  * include consolekit options

 -- anticapitalista <antix@operamail.com>  Thu, 03 Aug 2023 00:57:40 +0300

policykit-1 (123-1) unstable; urgency=medium

  * New upstream release
  * Update directory permissions to match upstream hardening
    - /etc/polkit-1/rules.d: was 0700 polkitd:root, now 0750 root:polkitd
      so polkitd cannot modify it
    - /var/lib/polkit-1: same as /etc/polkit-1/rules.d
    - /usr/share/polkit-1/rules.d: was 0700 polkitd:root, now 0755
      root:root since everything in that directory comes from a package
      anyway
  * d/polkitd.postinst: Clean up /var/lib/polkit-1/.cache on upgrades,
    now that polkitd will not re-create it (Closes: #855083)
  * d/tests: Depend on polkitd instead of policykit-1
  * d/tests: Rename cli test to polkitd
  * d/tests: Add a test for pkexec
  * d/p/debian/Don-t-use-PrivateNetwork-yes-for-the-systemd-unit.patch:
    Disable PrivateNetwork=yes for now. This would be good to have,
    but it causes autopkgtest failures under lxc. (Mitigates: #1042880)
  * d/control: Stop recommending polkitd-pkla in policykit-1.
    This is a step towards removing the policykit-1 transitional package
    entirely: it was included in Debian 12 and Ubuntu 22.04, so it has
    served its purpose and should be removed soon.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Aug 2023 12:49:21 +0100

policykit-1 (122-4) unstable; urgency=medium

  * d/control: Remove transitional polkitd-javascript package.
    This package was released in bookworm, and nothing in Debian depends
    on it. It was only relevant for users of certain polkit releases in
    experimental.
  * d/*.install: Move gettext extensions into libpolkit-gobject-1-dev.
    These are generally only needed when building other packages.
    (Closes: #955204)

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Jun 2023 20:09:41 +0100
