## policykit-1 124

=== debian/changelog ===
policykit-1 (124-3) unstable; urgency=medium

  * Drop transitional package policykit-1 (Closes: #1025540)
  * Drop fallback for /usr/libexec/polkitd in postinst (Closes: #1070448)
  * fix: pkexec fails with
    "GDBus.Error:org.freedesktop.PolicyKit1.Error.Failed: No session for
    cookie"
    Patch cherry-picked from upstream Git. (Closes: #1068652)
  * Drop support for the pkla backend.
    Drop the legacy polkitd-pkla package.
    It is no longer maintained upstream and was only meant as a temporary
    measure to ease the migration from .pkla to JS based rules files.
  * Bump Standards-Version to 4.7.0

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 23:03:15 +0200

policykit-1 (124-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop obsolete lintian override
  * Build-depend on pkgconf instead of pkg-config

  [ Simon McVittie ]
  * d/control: Change policykit-1 dependencies from "equal" to "at least"
    Having transitional packages depend on package (>= x) instead
    of package (= x) means that the transitional package can remain
    installed on user systems even after it has been obsoleted and
    removed, if it's required by third-party software.
  * d/p/Turn-local-modifications-of-mocklibc-into-patches-and-app.patch:
    Add patch to fix FTBFS caused by an implicit declaration.
    Thanks to Michael Biebl (Closes: #1066531)
  * d/.gitignore: Add
  * d/control: Explicitly build-depend on gir1.2-gio-2.0-dev
  * d/control: Add ${gir:Depends}, ${gir:Provides} to all relevant packages
  * d/control: Stop build-depending on libgirepository1.0-dev.
    This is unnecessary now that we depend on gir1.2-gio-2.0-dev and
    a new enough gobject-introspection.
  * d/rules: Enable cross-compilation of gobject-introspection data

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Mar 2024 19:22:27 +0000

policykit-1 (124-1) unstable; urgency=medium

  * Migrate upstream metadata and sources to Github
  * New upstream release
  * Upstream now installs pam.d snippet directly in /usr/lib, drop
    redirection
  * Upstream now ships sysusers.d, drop local copy
  * Bump copyright year ranges in d/copyright
  * Build-depend on systemd-dev and use pkg-config instead of hard-coding
    unit installation directory
  * Update symbols file for 124
  * Override Lintian warning about redundant globbing
  * Drop d/u/signing-key.asc, releases no longer signed
  * Add myself to Uploaders

 -- Luca Boccassi <bluca@debian.org>  Sun, 21 Jan 2024 10:42:09 +0000

policykit-1 (123-3) unstable; urgency=medium

  * d/control: Build-depend on a debhelper supporting system units in /usr/lib.
    This avoids making it too easy to backport a version that won't work
    correctly. Thanks to Michael Biebl

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Oct 2023 09:23:16 +0100

policykit-1 (123-2) unstable; urgency=medium

  * d/clean: Remove unpacked subprojects/mocklibc-1.0/.
    This addresses FTBFS-twice-in-a-row. The subproject is provided in the
    upstream tarball as source code packed in a zip file, rather than as
    unpacked source. (Closes: #1047511)
  * Install the systemd unit in /usr/lib/systemd/system.
    This was allowed by Technical Committee resolution #1053901. polkit
    has not usually been backported, so it doesn't seem important to make
    backports trivial for this particular package.

 -- Simon McVittie <smcv@debian.org>  Thu, 19 Oct 2023 09:20:30 +0100
