=== debian/changelog ===
policykit-1 (125-2ubuntu1) plucky; urgency=medium

  * debian/patches/git-action-directories.patch:
    - cherry pick an upstream change to allow alternative directories for
      the actions files (lp: #2089145)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 21 Nov 2024 13:57:28 +0100

policykit-1 (125-2) unstable; urgency=medium

  * Mark policykit-1-doc as MA foreign
  * Add patch to gracefully skip unit tests without permission to unshare

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Aug 2024 17:54:02 +0100

policykit-1 (125-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/125'
  * Drop patches merged upstream
  * Drop patch to remove PrivateNetwork=, no longer needed
  * Adjust Meson option for new syntax
  * Drop Debian-specific tmpfiles.d and use upstream's
  * Enable ELF metadata stamping
  * Update d/copyright, mocklibc has been dropped upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Aug 2024 15:22:22 +0100
