=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
  Martin Pitt <mpitt@debian.org>,
@@ -11,6 +12,7 @@
  dbus-daemon <!nocheck>,
  debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
+ dh-package-notes,
  dh-sequence-gir,
  docbook-xsl,
  duktape-dev,
@@ -108,6 +110,7 @@
 Package: policykit-1-doc
 Build-Profiles: <!nodoc>
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${misc:Depends},
