=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 include /usr/share/dpkg/default.mk
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
 
 built_binaries := $(shell dh_listpackages)
 
@@ -23,7 +24,7 @@
 endif
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
-configure_flags += -Dsession_tracking=libsystemd-login
+configure_flags += -Dsession_tracking=logind
 else
 configure_flags += -Dsession_tracking=ConsoleKit
 endif
