=== debian/changelog ===
policykit-1 (126-2) unstable; urgency=medium

  * Remove obsolete /var/lib/polkit-1/ directory on upgrades

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Jan 2025 20:37:46 +0100

policykit-1 (126-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/126'
  * Drop 08_chdir_root.patch, merged upstream
  * d/rules: use execute_before instead of override
  * polkitd: drop setting permissions for legacy /var/ directory
  * polkitd: drop special handling for polkitd-pkla, dropped
  * Drop gettext patch, merged upstream, and enable it in meson
  * Drop PAM patch and set os_type to Debian, which enables the same
    config
  * Drop sudo group patch and use build config instead
  * Drop test-namespace-skip.patch, merged upstream
  * Drop Lintian source override, no longer needed

 -- Luca Boccassi <bluca@debian.org>  Mon, 13 Jan 2025 17:36:43 +0000
