=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: policykit-1
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
  Martin Pitt <mpitt@debian.org>,
