=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,9 @@
 		-Dintrospection=true \
 		-Dman=true \
 		-Dtests=true \
+		-Dgettext=true \
+		-Dos_type=debian \
+		-Dprivileged_group=sudo \
 		$(configure_flags)
 
 override_dh_auto_test:
@@ -52,13 +55,12 @@
 		$(NULL)
 endif
 
-override_dh_install:
+execute_before_dh_install:
 	# on Debian use sudo group; on Ubuntu, also allow the admin group for
 	# historical reasons
 	if dpkg-vendor --is ubuntu; then \
 		install -m644 debian/49-ubuntu-admin.rules debian/tmp/usr/share/polkit-1/rules.d/; \
 	fi
-	dh_install
 
 override_dh_installsystemd:
 	dh_installsystemd --no-start --restart-after-upgrade
