=== debian/watch ===
version=4
opts="dversionmangle=s/\+(ds|dfsg)[0-9.]*$//, filenamemangle=s/.+\/v?(\d\S*)(@ARCHIVE_EXT@)/policykit-1-$1$2/" \
  https://github.com/polkit-org/polkit/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
