## policykit-1 127

=== debian/changelog ===
policykit-1 (127-2) unstable; urgency=medium

  [ Andrew Bower ]
  * Fix #1125142 for systems without systemd-sysv installed

  [ Luca Boccassi ]
  * Drop priority from d/control, now defaults to optional
  * Bump Standards-version to 4.7.3
  * Set the reboot-required flag when upgrading from << 127 (Closes:
    #1125141)

 -- Luca Boccassi <bluca@debian.org>  Mon, 09 Feb 2026 14:37:46 +0000

policykit-1 (127-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop debian/clean

  [ Simon McVittie ]
  * d/control: Mark gir1.2-polkit-1.0 as Multi-Arch: same
  * d/control: Mark -dev packages as Multi-Arch: same
  * d/control: Use dpkg-build-api v1 instead of Rules-Requires-Root
  * Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Use recommended recipe

  [ Luca Boccassi ]
  * Update upstream source from tag 'upstream/127'
    (Closes: #1109334, #1119670, #1094078, #1110748)
    (CVE-2025-7519)
  * Add build dependency on mount for unit tests
  * Install new polkitd.conf and manpage
  * polkitd: start polkit-agent-helper.socket on install/upgrade
  * polkitd: drop postinst workarounds for pre-bookworm
  * polkitd: drop adduser and rely exclusively on sd-sysusers
  * polkitd: do not change perms of /etc/polkit-1/rules.d in postinst and
    rely on tmpfiles.d
  * polkitd: do not set SUID on polkit-agent-helper-1 under systemd
  * Update symbols file for v127

 -- Luca Boccassi <bluca@debian.org>  Wed, 17 Dec 2025 18:35:00 +0000
