=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: policykit-1
 Section: admin
-Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Michael Biebl <biebl@debian.org>,
@@ -14,6 +13,7 @@
  dh-package-notes,
  dh-sequence-gir,
  docbook-xsl,
+ dpkg-build-api (= 1),
  duktape-dev,
  gir1.2-gio-2.0-dev,
  gobject-introspection (>= 1.78.1-9~),
@@ -25,6 +25,7 @@
  libsystemd-dev [linux-any],
  systemd-dev [linux-any],
  meson (>= 0.50.0),
+ mount <!nocheck>,
  pkgconf,
  xml-core,
  xsltproc,
@@ -33,8 +34,7 @@
  gtk-doc-tools <!nodoc>,
  libglib2.0-doc <!nodoc>,
  libgtk-3-doc <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/utopia-team/polkit.git
 Vcs-Browser: https://salsa.debian.org/utopia-team/polkit
 Homepage: https://github.com/polkit-org/polkit/
@@ -44,7 +44,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- adduser | systemd-sysusers,
+ systemd | systemd-standalone-sysusers | systemd-sysusers,
  default-dbus-system-bus | dbus-system-bus,
  default-logind | logind,
  ${misc:Depends},
@@ -140,6 +140,7 @@
 
 Package: libpolkit-gobject-1-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  gir1.2-polkit-1.0 (= ${binary:Version}),
@@ -179,6 +180,7 @@
 
 Package: libpolkit-agent-1-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  gir1.2-polkit-1.0 (= ${binary:Version}),
@@ -199,6 +201,7 @@
 Package: gir1.2-polkit-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends:
  ${gir:Depends},
  ${misc:Depends},
