=== debian/rules ===
--- 
+++ 
@@ -63,4 +63,5 @@
 	fi
 
 override_dh_installsystemd:
-	dh_installsystemd --no-start --restart-after-upgrade
+	dh_installsystemd -p polkitd --no-start --restart-after-upgrade polkit.service
+	dh_installsystemd -p polkitd --restart-after-upgrade polkit-agent-helper.socket
