## policykit-1 127+really126

=== debian/changelog ===
policykit-1 (127+really126-0+kali1) kali-dev; urgency=medium

  * Too many issues with version 127: #9489 #9497. From my test (KDE desktop),
    the agent is not started after a reboot. Moreover, after it's started,
    trying to start a root terminal (Konsole) segfaults.

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 12 Jan 2026 23:15:20 +0700

policykit-1 (126-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Feb 2025 11:19:38 +0100

policykit-1 (125-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 19 Sep 2024 15:47:37 +0700

policykit-1 (124-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 07 May 2024 15:16:46 +0700

policykit-1 (124-1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI
  * Refresh patches

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 29 Jan 2024 10:19:43 +0700

policykit-1 (123-3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment
    - Skip the pkexec test in CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 28 Nov 2023 11:23:29 +0700

policykit-1 (123-1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 22:16:11 +0700

policykit-1 (122-4+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 14:18:53 +0200

policykit-1 (122-3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 13 Feb 2023 10:15:12 +0700

policykit-1 (122-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Jan 2023 10:49:51 +0700

policykit-1 (122-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 02 Nov 2022 13:23:20 +0700

policykit-1 (121+compat0.1-6+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 20 Oct 2022 13:54:26 +0700

policykit-1 (0.105-33+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Mar 2022 08:43:16 +0100

policykit-1 (0.105-32+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
      - pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Feb 2022 11:40:48 +0100

policykit-1 (0.105-31.1+kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders

  [ Arnaud Rebillout ]
  * Add XS-Debian-Vcs-* fields
  * Sync with Debian
  * Remaining changes:
    + Install etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf
    + pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Jan 2022 12:23:08 +0700

policykit-1 (0.105-31+kali1) kali-dev; urgency=medium

  * Synw with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Jun 2021 14:45:36 +0200

policykit-1 (0.105-30+kali2) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Repository, Repository-Browse.

  [ Arnaud Rebillout ]
  * Install etc/polkit-1/localauthority.conf.d/51-debian-sudo.conf

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 08 Apr 2021 09:47:10 +0700

policykit-1 (0.105-30+kali1) kali-dev; urgency=medium

  * Update Maintainer field
  * Update Vcs-* fields
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * pkexec: Preserve QT_QPA_PLATFORMTHEME and QT_SCALE_FACTOR in environment

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 24 Mar 2021 18:56:26 +0700
